from django.db import models
from django.contrib.auth.models import User
from gauth.models import Location


class Reply(models.Model):
    replied_text = models.CharField(max_length=500)
    create_time = models.DateTimeField()

    def __str__(self):
        return self.replied_text


class Review(models.Model):
    review_id = models.CharField(max_length=50)
    comment = models.CharField(max_length=1000)
    create_time = models.DateTimeField()
    update_time = models.DateTimeField()
    star_rating = models.IntegerField()
    reviewer_name = models.CharField(max_length=50)
    reviewer_photo = models.URLField()
    location = models.ForeignKey(Location, on_delete=models.DO_NOTHING)
    reply = models.OneToOneField(Reply, on_delete=models.CASCADE)

    def __str__(self):
        return f'{self.reviewer_name} - {self.comment}'
